/* MOBILE ONLY */
@media (max-width: 768px) {
  #videoModal .modal-dialog {
    max-width: 95%;
    margin: 1rem auto;
  }

  #videoModal .modal-content {
    height: auto;
  }

  #videoModal .modal-body {
    padding: 0;
  }

  #videoModal iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    display: block;
  }
  .popup-body {
    border: 2px solid white;
   
}
}

.popup-body {

    border: 5px solid white;
    border-radius: 36px;
}

.popup-content{
   
    background-color: #ffffff00;
    
    }
 .Multi-Agent-Testing-vedio{
      border-radius: 36px;
  }
  .modal-header .btn-close {
    padding: .5rem;
    margin: -.5rem -.5rem -.5rem auto;
    background-color: white;
    border-radius: 50%;
}

.bg-video {
    position: absolute;
    top: 10%;
    height: 74%;
    left: 61%;
    background-color: transparent !important;
}

.safari-gif {
    position: absolute;
    top: 10%;
    height: 74%;
    left: 61%;
    background-color: transparent !important;
}
/* Safari Webkit Detection */
@media not all and (min-resolution: 0.001dpcm) {
    @supports (-webkit-appearance: none) {

        .safari-gif {
            display: block !important;
        }

        .bg-video {
            display: none !important;
        }

    }
}

/* Hero Background */
.home.page-template .hero_sec-bg {
    background:
        radial-gradient(circle at 85% 63%, rgba(103, 186, 211, 0.20), rgba(103, 186, 211, 0) 25%),
        radial-gradient(circle at 74% 31%, rgba(158, 110, 230, 0.20), rgba(158, 110, 230, 0) 25%),
        linear-gradient(to right, #0d1124 0%, #0d1124 40%, #080f20 80%, #080f20 100%);
    height: 800px;
}

@media (min-width: 1200px),
(min-resolution: 2dppx) {
    .img-top-space {
        margin-top: 0rem;
    }
}

/* Safari Text Fix */
@media not all and (min-resolution: 0.001dpcm) {
    @supports (-webkit-appearance: none) {

        .next_gen {
            margin: 0px !important;
            font-size: 16px !important;
            font-weight: 400;
            line-height: 23px;
        }
    }

    .img-Txt h1 {
        color: #FFFFFF;
        font-size: 48px;
        line-height: 120%;
        margin-bottom: 4rem;
    }
}

/* Default Text */
.next_gen {
    margin: 0px !important;
    font-size: 16px !important;
    font-weight: 400;
    line-height: 23px;
}

.img-Txt {
    margin-left: 7rem !important;
}

.hero-banner-tab {
    border: 1px solid #fdfdfd38;
    padding: 6px 16px;
    border-radius: 999px;
    display: inline-block;
    width: fit-content;
    background: #fdfdfd38;
    color: #ffffff;
}

.img-Txt h1 {
    color: #FFFFFF;
    font-size: 48px;
    line-height: 120%;
    margin-bottom: 4rem;
}

body.home.page-template.page-template-template-home .homepage-logo-heading {
    color: #141313;
}

.img-Txt p {
    font-size: 1.8rem;
    margin-bottom: 7rem;
}

.img-top-space {
    margin-top: -17rem! important;
}

/* ------------------------------------------
   MOBILE
-------------------------------------------*/
@media (max-width: 767px) {

    .img-Txt {
        margin-left: 0rem !important;
        margin-top: 0rem !important;
    }

    .safari-gif {
        position: static !important;
        height: 68%;
    }

    .bg-video {
        display: block;
        position: static !important;
    }

    .hero_sec-bg {
        background:
            radial-gradient(circle at 85% 63%, rgba(103, 186, 211, 0.20), rgba(103, 186, 211, 0) 25%),
            radial-gradient(circle at 51% 53%, rgba(158, 110, 230, 0.20), rgba(158, 110, 230, 0) 25%),
            linear-gradient(to right, #0d1124 0%, #0d1124 40%, #080f20 80%, #080f20 100%) !important;
    }

    .mt-4 {
        font-size: 24px;
        line-height: 39px !important;
    }

    .home.page-template .hero_sec-bg {
        padding: 10rem 0rem 0rem 0rem;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 29px;
    }

    .img-Txt p {
        font-size: 1.8rem;
        margin-bottom: 4rem;
    }
}

/* ------------------------------------------
   TABLET (768–1023)
-------------------------------------------*/
@media only screen and (min-width: 768px) and (max-width: 1023px) {

    .home.page-template .hero_sec-bg {
        height: 500px !important;
    }
        .img-top-space {
        margin-top: -13rem !important;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 22px !important;
        line-height: 27px !important;
    }
    .img-Txt h1 {
   
    margin-bottom: 2rem !important;
    }

    p.next_gen {
        font-size: 12px !important;
        line-height: 170%;
        margin: 0 0;
    }

    .img-Txt {
        padding: 0rem 0rem;
        width: 58%;
    }

    .bg-video {
        position: absolute !important;
        top: -8%;
        height: 68%;
        left: 39%;
    }
    .safari-gif {
        position: absolute !important;
        top: -8%;
        height: 68%;
        left: 39%;
    }

    .btnTrail a {
        padding: 1rem 1.5rem;
    }
}

/* ------------------------------------------
   LANDSCAPE DEVICE-SPECIFIC
-------------------------------------------*/
@media only screen and (min-device-width: 412px) and (max-device-width: 915px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 141vh !important;
    }

    .bg-video  {
        position: absolute !important;
        top: -8%;
        height: 81%;
        left: 57%;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 22px;
        line-height: 36px;
        margin-left: 0rem;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 3rem !important;
        margin-left: 0rem;
    }
}

@media screen and (max-width: 915px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 140vh;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 22px;
        line-height: 39px;
        margin-left: 0rem;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 2rem !important;
        margin-left: 0rem;
    }

    .img-Txt h1 {
        font-size: 16px;
        margin-bottom: 2rem;
    }
}

@media screen and (max-width: 667px) and (orientation: landscape) {

    .next_gen {
        margin: 0px 2rem !important;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 3rem !important;
        margin-left: -9rem;
    }

    .bg-video  {
        position: absolute !important;
        top: 1% !important;
        height: 57% !important;
        left: 62% !important;
    }
    .safari-gif {
        position: absolute !important;
        top: 1% !important;
        height: 57% !important;
        left: 62% !important;
    }
}

@media only screen and (max-width: 932px) and (-webkit-device-pixel-ratio: 3) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 109vh !important;
    }

    .bg-video {
        position: absolute !important;
        top: -13%;
        height: 89%;
        left: 62%;
    }
    .safari-gif {
        position: absolute !important;
        top: -13%;
        height: 89%;
        left: 62%;
    }
}

@media screen and (max-width: 740px) and (orientation: landscape) {

    .img-Txt {
        width: 66.5%;
    }

    .img-Txt br {
        display: block;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 29px !important;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 0rem !important;
        margin-left: -7rem;
    }

    .img-Txt h1 {
        margin-bottom: 2rem;
    }

    .bg-video {
        position: absolute !important;
        top: -8%;
        height: 72%;
        left: 58%;
    }
    .safari-gif {
        position: absolute !important;
        top: -8%;
        height: 72%;
        left: 58%;
    }

    .hero_sec-bg {
        background:
            radial-gradient(circle at 77% 39%, rgba(103, 186, 211, 0.20), rgba(103, 186, 211, 0) 25%),
            radial-gradient(circle at 73% 35%, rgba(158, 110, 230, 0.20), rgba(158, 110, 230, 0) 25%),
            linear-gradient(to right, #0d1124 0%, #0d1124 40%, #080f20 80%, #080f20 100%) !important;
    }

    p.next_gen {
        text-align: left;
    }

    .next_gen {
        margin: 3rem auto !important;
    }
}

@media (min-width: 1024px) {

    .mt-5 {
        margin-top: 5rem !important;
    }

    .next_gen {
        width: 70%;
    }
}

@media only screen and (max-width: 820px) {

    .bg-video {
        position: absolute;
        top: -8%;
        height: 90%;
        left: 39%;
    }
    .safari-gif {
        position: absolute;
        top: -8%;
        height: 90%;
        left: 39%;
    }
}

@media screen and (max-width: 1024px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 60vh !important;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 26px;
        line-height: 41px;
    }
        .next_gen {
        width: 50%;
    }
        .img-top-space {
        margin-top: -104px;
    }

    .img-Txt h1 {
        margin-bottom: 2rem;
    }

    .bg-video  {
        position: absolute !important;
        top: -2%;
        height: 72%;
        left: 72%;
    }
    .safari-gif {
        position: absolute !important;
        top: -2%;
        height: 72%;
        left: 72%;
    }
}

@media screen and (max-width: 1180px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 74vh !important;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 4rem !important;
    }

    .bg-video  {
        position: absolute !important;
        top: -4%;
        height: 77%;
        left: 66%;
    }
    .safari-gif {
        position: absolute !important;
        top: -4%;
        height: 77%;
        left: 66%;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 34px;
        line-height: 48px;
    }
}

/* iPad Portrait */



@media only screen and (max-width: 1536px) {
    .safari-gif {
    position: absolute;
    top: 13% ;
    height: 69%;
    left: 61%;
    
}
.bg-video {
    position: absolute;
    top: 11%;
    height: 73%;
    left: 66%;
    background-color: transparent !important;
}
    
    
}
@media only screen and (min-device-width: 1024px) and (max-device-width: 1366px) and (orientation: portrait) {

    .bg-video  {
        position: absolute !important;
        top: 7%;
        height: 49%;
        left: 58%;
    }
        .next_gen {
        width: 50%;
    }
    .mt-4 {
    margin-top: -10.5rem !important;
    }
    .safari-gif {
        position: absolute !important;
        top: 7%;
        height: 49%;
        left: 58%;
    }

    .home.page-template .hero_sec-bg {
        height: 650px !important;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 3rem !important;
        margin-left: 2rem;
    }

    .img-Txt {
        margin-left: 7rem !important;
    }

    p.next_gen {
        margin: 0px 0px;
    }
}

@media only screen and (min-width: 1280px) and (max-width: 1440px) {

    .bg-video {
        position: absolute !important;
        top: 7%;
        height: 63%;
        left: 60%;
    }
    .safari-gif {
        position: absolute !important;
        top: 7%;
        height: 63%;
        left: 60%;
    }
}

/* 932 landscape fix */
@media screen and (max-width: 932px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 130vh !important;
    }

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 26px;
        line-height: 38px;
    }

    .bg-video  {
        position: absolute !important;
        top: -4%;
        height: 77%;
        left: 59% !important;
    }
    .safari-gif {
        position: absolute !important;
        top: -4%;
        height: 77%;
        left: 59% !important;
    }
}

@media screen and (max-width: 882px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 25px;
        line-height: 36px;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 3rem !important;
    }
}

@media screen and (max-width: 882px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 134vh !important;
    }
}

@media screen and (max-width: 914px) and (orientation: landscape) {

    .home.page-template .hero_sec-bg {
        height: 167vh !important;
    }

    .bg-video {
        position: absolute !important;
        top: 6%;
        height: 53% !important;
        left: 64% !important;
    }
    .safari-gif {
        position: absolute !important;
        top: 6%;
        height: 53% !important;
        left: 64% !important;
    }
}

@media only screen and (max-width: 720px) {

    .bg-video {
        display: block;
        position: static !important;
        margin: 38px 0px 0px -39px;
    }
    .safari-gif {
        display: block;
        position: static !important;
        /*height: 308px !important;*/
       /* width:300px !important;*/
        margin: 30px 0px 0px -60px; !important;
        
    }
    .responsive-row{
         height: auto ;
        margin-bottom: -59px!important;
        transform: translateY(-59px)!important;
        transform: translate3d(0, -59px, 0)!important;
        display: flex;
        align-items: center;
        justify-content: center;
        }
}

@media only screen and (min-width: 1440px) and (max-width: 1919px) {
    /* Reserved */
}

@media only screen and (min-width: 1920px) {

    .home.page-template .hero_sec-bg {
        height: 899px !important;
    }

    .bg-video {
        position: absolute !important;
        top: 14%;
        height: 56%;
        left: 61%;
    }
}

@media (max-width: 1280px) {

    .home.page-template .hero_sec-bg .img-Txt h1 {
        font-size: 39px;
        line-height: 50px;
    }

    .btnTrail.d-lg-flex.d-md-flex.mt-5 {
        margin-top: 4rem !important;
    }

    .bg-video  {
        position: absolute;
        top: 0;
        height: 76%;
        left: 57%;
    }
    .safari-gif {
        position: absolute;
        top: 0;
        height: 76%;
        left: 57%;
    }
}

/* Fix syntax */
@media only screen and (max-width: 1268px) {
    .img-top-space {
        margin-top: 0rem;
    }
}
